<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/window/include/window.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('window_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">window.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;SDL2/SDL.h&gt;</code><br />
<code>#include &lt;SDL2/SDL_image.h&gt;</code><br />
<code>#include &quot;<a class="el" href="string_8h_source.html">../../string/include/string.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="uuid_8h_source.html">../../uuid/include/uuid.h</a>&quot;</code><br />
</div>
<p><a href="window_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html">WINDOW</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a77366c1bd428629dc898e188bfd182a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a>&#160;&#160;&#160;extern</td></tr>
<tr class="separator:a77366c1bd428629dc898e188bfd182a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aeaf4082d29c321358fa903e05407d3fa"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">WindowPositionsEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#aeaf4082d29c321358fa903e05407d3fa">WindowPositions</a></td></tr>
<tr class="separator:aeaf4082d29c321358fa903e05407d3fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2189eede9c03ed0f6ef559dafc208bc"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">WindowTypesEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#ac2189eede9c03ed0f6ef559dafc208bc">WindowTypes</a></td></tr>
<tr class="separator:ac2189eede9c03ed0f6ef559dafc208bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd15d98ee86456f1002213293d6fbb8a"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_w_i_n_d_o_w.html">WINDOW</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a></td></tr>
<tr class="separator:afd15d98ee86456f1002213293d6fbb8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ac20c80020036bc28cfc3f699f79b9180"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">WindowPositionsEnum</a> { <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7">CENTER</a> = SDL_WINDOWPOS_CENTERED, 
<a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93">UNDEFINED</a> = SDL_WINDOWPOS_UNDEFINED
 }</td></tr>
<tr class="separator:ac20c80020036bc28cfc3f699f79b9180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a145d53f2e8ed981aac72adb2e80bba74"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">WindowTypesEnum</a> { <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e">SPLASH</a> = SDL_WINDOW_BORDERLESS|SDL_WINDOW_OPENGL, 
<a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd">MAIN</a> = SDL_WINDOW_VULKAN
 }</td></tr>
<tr class="separator:a145d53f2e8ed981aac72adb2e80bba74"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6c274563105b264d363cff991ce7b78a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8h.html#a6c274563105b264d363cff991ce7b78a">Window</a></td></tr>
<tr class="separator:a6c274563105b264d363cff991ce7b78a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a77366c1bd428629dc898e188bfd182a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77366c1bd428629dc898e188bfd182a3">&#9670;&nbsp;</a></span>EXTERN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define EXTERN&#160;&#160;&#160;extern</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="afd15d98ee86456f1002213293d6fbb8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd15d98ee86456f1002213293d6fbb8a">&#9670;&nbsp;</a></span>WindowClass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_w_i_n_d_o_w.html">WINDOW</a> <a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeaf4082d29c321358fa903e05407d3fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeaf4082d29c321358fa903e05407d3fa">&#9670;&nbsp;</a></span>WindowPositions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">WindowPositionsEnum</a> <a class="el" href="window_8h.html#aeaf4082d29c321358fa903e05407d3fa">WindowPositions</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a2">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="ac2189eede9c03ed0f6ef559dafc208bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2189eede9c03ed0f6ef559dafc208bc">&#9670;&nbsp;</a></span>WindowTypes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">WindowTypesEnum</a> <a class="el" href="window_8h.html#ac2189eede9c03ed0f6ef559dafc208bc">WindowTypes</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a5">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ac20c80020036bc28cfc3f699f79b9180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac20c80020036bc28cfc3f699f79b9180">&#9670;&nbsp;</a></span>WindowPositionsEnum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">WindowPositionsEnum</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7"></a>CENTER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93"></a>UNDEFINED&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a145d53f2e8ed981aac72adb2e80bba74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a145d53f2e8ed981aac72adb2e80bba74">&#9670;&nbsp;</a></span>WindowTypesEnum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">WindowTypesEnum</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e"></a>SPLASH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd"></a>MAIN&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a6c274563105b264d363cff991ce7b78a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c274563105b264d363cff991ce7b78a">&#9670;&nbsp;</a></span>Window</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> void* Window</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a20">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_20a11ebd8f7c0325c2aa10fc0cdc0bc1.html">window</a></li><li class="navelem"><a class="el" href="dir_17eec169d1246d7190bae05723702bc7.html">include</a></li><li class="navelem"><a class="el" href="window_8h.html">window.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
